%define _audacious_ver		2.3-1%{?_dist_release}
%define _gtk2_ver		2.8.0
%define _glib2_ver		2.10.0
# to build OSD plugin, pango >= 1.14.7, cairo >= 1.2.6 are required
%define _pango_ver		1.8.0
%define _libvorbis_ver		1.0
%define _libogg_ver		1.0
%define _flac_ver		1.2.0

#%%define extraver alpha5
%define plugindir %{_libdir}/audacious

Summary:	Audacious Media Player extra plugins
Summary(ja):	Audacious Media Player 追加プラグイン集
Name:		audacious-plugins-extra
Version:	2.3
Release:	2%{?_dist_release}
License:	GPLv2
Group:		Applications/Multimedia
URL:		http://audacious-media-player.org/
Source:		http://distfiles.atheme.org/audacious-plugins-%{version}%{?extraver:-%extraver}.tgz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	audacious-devel >= %{_audacious_ver}
BuildRequires:	glib2-devel >= %{_glib2_ver}, gtk2-devel >= %{_gtk2_ver}
BuildRequires:	pango-devel >= %{_pango_ver}
BuildRequires:	libogg-devel >= %{_libogg_ver}
BuildRequires:	libvorbis-devel >= %{_libvorbis_ver}
BuildRequires:	flac-devel >= %{_flac_ver}
BuildRequires:	self-build-faad2
BuildRequires:	self-build-lame
BuildRequires:	self-build-libmad
BuildRequires:	self-build-ffmpeg

Vendor:		Project Vine
Distribution:	Vine Linux

%description
This package provides extra plugins for audio input and output.

# aac
%package -n audacious-aac
Summary:	Audacious plugin to play AAC files
Summary(ja):	AAC ファイルを再生するための Audacious プラグイン
Group:		Applications/Multimedia
Requires:	audacious >= %{_audacious_ver}

%description -n audacious-aac
This package contains a input plugin that enables playback of AAC files
in Audacious.

%description -l ja -n audacious-aac
このパッケージには、Audacious で AAC ファイル (*.aac) を再生するため入力
プラグインが含まれています。

# ffaudio
%package -n audacious-ffmpeg
Summary:	Audacious plugin to play TTA/WMA files
Summary(ja):	TTA/WMA ファイルを再生するための Audacious プラグイン
Group:		Applications/Multimedia
Requires:	audacious >= %{_audacious_ver}

%description -n audacious-ffmpeg
This package contains a input plugin that enables playback of TTA and 
WMA files in Audacious.

%description -l ja -n audacious-ffmpeg
このパッケージには、Audacious で TTA ファイル (*.tta) や WMA ファイル (*.wma) 
を再生するため入力プラグインが含まれています。

# madplug
%package -n audacious-mad
Summary:	Audacious plugin to play MP3 files
Summary(ja):	MP3 ファイルを再生するための Audacious プラグイン
Group:		Applications/Multimedia
Requires:	audacious >= %{_audacious_ver}

%description -n audacious-mad
This package contains a input plugin that enables playback of MP3 files
in Audacious.

%description -l ja -n audacious-mad
このパッケージには、Audacious で MP3 ファイル (*.mp3) を再生するため入力
プラグインが含まれています。

# filewriter_mp3
%package -n audacious-lame
Summary:	Audacious plugin to encode MP3 files using LAME
Summary(ja):	LAME を利用して MP3 ファイルをエンコードするための Audacious プラグイン
Group:		Applications/Multimedia
Requires:	audacious >= %{_audacious_ver}

%description -n audacious-lame
This package contains a output plugin that enables encoding of MP3 files
using LAME in Audacious.

%description -l ja -n audacious-lame
このパッケージには、Audacious で LAME を利用して MP3 ファイル (*.mp3) を
エンコードするため出力プラグインが含まれています。


%prep
%setup -q -n audacious-plugins-%{version}%{?extraver:-%extraver}

%build
%configure \
	--enable-ipv6		\
	--enable-chardet	\
	--enable-aac		\
	--enable-mp3		\
	--enable-ffaudio	\
	--enable-filewriter	\
	--disable-esd		\
	--disable-pulse		\
	--disable-icecast	\
	--disable-rocklight	\
	--disable-lirc		\
	--disable-evdevplug	\
	--disable-hotkey	\
	--disable-gnomeshortcuts	\
	--disable-statusicon	\
	--disable-aosd		\
	--disable-adplug	\
	--disable-vorbis	\
	--disable-flacng	\
	--disable-wavpack	\
	--disable-sndfile	\
	--disable-modplug	\
	--disable-jack		\
	--disable-sid		\
	--disable-oss		\
	--disable-alsa		\
	--disable-amidiplug	\
	--disable-cdaudio	\
	--disable-streambrowser	\
	--disable-neon		\
	--disable-mms		\
	--disable-mtp_up	\
	--disable-bluetooth	\
	--disable-paranormal	\
	--disable-cue		\
	--disable-projectm	\
	--disable-projectm-1.0	\
	--disable-bs2b		\
	--disable-resample

%__make %{_smp_mflags} VERBOSE=1

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} install

# rename for alternatives
pushd $RPM_BUILD_ROOT%{plugindir}/Output
mkdir filewriter
mv filewriter.so filewriter/lame.so
popd

# remove unneeded files
%__rm -rf $RPM_BUILD_ROOT%{plugindir}/Container
%__rm -rf $RPM_BUILD_ROOT%{plugindir}/Effect
%__rm -rf $RPM_BUILD_ROOT%{plugindir}/General
#%__rm -rf $RPM_BUILD_ROOT%{plugindir}/Output
%__rm -rf $RPM_BUILD_ROOT%{plugindir}/Transport
%__rm -rf $RPM_BUILD_ROOT%{plugindir}/Visualization
%__rm -rf $RPM_BUILD_ROOT%{_datadir}/audacious
%__rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

rm -f $RPM_BUILD_ROOT%{plugindir}/Input/console.so
rm -f $RPM_BUILD_ROOT%{plugindir}/Input/metronom.so
rm -f $RPM_BUILD_ROOT%{plugindir}/Input/psf2.so
rm -f $RPM_BUILD_ROOT%{plugindir}/Input/tonegen.so
rm -f $RPM_BUILD_ROOT%{plugindir}/Input/vtx.so
rm -f $RPM_BUILD_ROOT%{plugindir}/Input/xsf.so
rm -f $RPM_BUILD_ROOT%{plugindir}/Output/crossfade.so
rm -f $RPM_BUILD_ROOT%{plugindir}/Output/null.so

%clean
%__rm -rf %{buildroot}

%post -n audacious-lame
/sbin/update-alternatives --install \
    %{plugindir}/Output/filewriter.so \
    filewriter.so \
    %{plugindir}/Output/filewriter/lame.so 20

%postun -n audacious-lame
if [ $1 = 0 ]; then
  /sbin/update-alternatives --remove filewriter.so %{plugindir}/Output/filewriter/lame.so
  /sbin/update-alternatives --auto filewriter.so
fi

%posttrans -n audacious-lame
# fix broken symlink if it's there
if [ ! -f %{plugindir}/Output/filewriter.so ] ; then
  /sbin/update-alternatives --auto filewriter.so
fi


%files -n audacious-aac
%defattr(-,root,root,-)
%{plugindir}/Input/aac.so

%files -n audacious-ffmpeg
%defattr(-,root,root,-)
%{plugindir}/Input/ffaudio.so

%files -n audacious-mad
%defattr(-,root,root,-)
%{plugindir}/Input/madplug.so

%files -n audacious-lame
%defattr(-,root,root,-)
%{plugindir}/Output/filewriter/lame.so

%changelog
* Sat Jun  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.3-2
- added aac, ffaudio, filewriter_mp3 plugins

* Sat May 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.3-1
- new upstream release

* Thu Aug 13 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-2
- updated BuildRequires

* Sun Aug  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.1-1
- split mad plugin from audacious-plugins package
